Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.core.security
Class UserStack

    java.lang.Object
      com.dbxml.db.core.security.UserStack

public final class UserStack
extends java.lang.Object

UserStack manages a Stack of authenticated Users. It is passed to secure classes that need to perform access control overrides with alternate Users. Its primary use is to push the Magic User onto the stack for access to low-level system resources.

Constructor Summary
`UserStack()`

Method Summary
`void` | `clear()`
`User` | `getCurrentUser()`
`User` | `popCurrentUser()`
`void` | `pushCurrentUser(User user)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserStack

    public UserStack()

Method Detail

### getCurrentUser

    public User getCurrentUser()

### pushCurrentUser

    public void pushCurrentUser(User user)

### popCurrentUser

    public User popCurrentUser()

### clear

    public void clear()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group